identity.c File Reference

DSDPDataMat object representing a multiple of the identity matrix. More...

Go to the source code of this file.

## Functions

int | DSDPGetIdentityDataMatF (int n, double val, struct DSDPDataMat_Ops **dops, void **imat)
| Create a sparse matrix usuable by DSDP in full symmetric format.
int | DSDPGetIdentityDataMatP (int n, double val, struct DSDPDataMat_Ops **dops, void **imat)
| Create a sparse matrix usuable by DSDP in packed symmetric format.

## Detailed Description

DSDPDataMat object representing a multiple of the identity matrix.

Definition in file identity.c.

## Function Documentation

## DSDPGetIdentityDataMatF()

int DSDPGetIdentityDataMatF | ( | int | n,
|  | double | val,
|  | struct DSDPDataMat_Ops ** | dops,
|  | void ** | imat
| ) |  |

Create a sparse matrix usuable by DSDP in full symmetric format.

Parameters

  n | number of rows and columns of the matrix
  val | multiple of identity matrix.
  dops | address of a pointer to a table of function pointers
  imat | address of a pointer to an opaque data type.

Definition at line 69 of file identity.c.

Referenced by SDPConeSetRIdentity().

## DSDPGetIdentityDataMatP()

int DSDPGetIdentityDataMatP | ( | int | n,
|  | double | val,
|  | struct DSDPDataMat_Ops ** | dops,
|  | void ** | imat
| ) |  |

Create a sparse matrix usuable by DSDP in packed symmetric format.

Parameters

  n | number of rows and columns of the matrix
  val | multiple of identity matrix.
  dops | address of a pointer to a table of function pointers
  imat | address of a pointer to an opaque data type.

Definition at line 44 of file identity.c.

Referenced by SDPConeSetRIdentity().